<?php
/**
 * LearnMore functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package LearnMore
 */

/**
 * Theme options
 */
require get_template_directory() . '/inc/theme-options/options.php';
require get_template_directory() . '/inc/theme-options/get-option.php';
require get_template_directory() . '/inc/hooks/theme-options-config.php';
require get_template_directory() . '/inc/hooks/disable-kirki-telemetry.php';

/**
 * Core functionality
 */
require get_template_directory() . '/inc/core/settings.php';
require get_template_directory() . '/inc/core/gutenberg.php';
require get_template_directory() . '/inc/core/scripts.php';
require get_template_directory() . '/inc/core/widgets.php';
require get_template_directory() . '/inc/core/customizer.php';
require get_template_directory() . '/inc/core/recommended-plugins.php';

/**
 * Functions
 */
require get_template_directory() . '/inc/functions/get-categories.php';
require get_template_directory() . '/inc/functions/get-posts.php';
require get_template_directory() . '/inc/functions/get-knowledgebase-data.php';
require get_template_directory() . '/inc/functions/render-knowledgebase-layout.php';
require get_template_directory() . '/inc/functions/body-open.php';
require get_template_directory() . '/inc/functions/site-logo.php';
require get_template_directory() . '/inc/functions/site-branding.php';
require get_template_directory() . '/inc/functions/posted-on.php';
require get_template_directory() . '/inc/functions/post-pagination.php';
require get_template_directory() . '/inc/functions/post-thumbnail.php';
require get_template_directory() . '/inc/functions/post-terms.php';
require get_template_directory() . '/inc/functions/edit-link.php';
require get_template_directory() . '/inc/functions/css-color-scheme.php';

/**
 * Hooks
 * actions and filters used in the theme
 */
require get_template_directory() . '/inc/hooks/body-classes.php';
require get_template_directory() . '/inc/hooks/icons.php';
require get_template_directory() . '/inc/hooks/javascript-detect.php';
require get_template_directory() . '/inc/hooks/no-javascript.php';
